using UnityEngine;

public abstract class AI_State
{
    protected EnemyController _owner;
    protected Transform _transform;
    protected Movement_Base _movement;
    protected Status _status;

    public AI_State(EnemyController owner)
    {
        _owner = owner;
        _transform = owner.transform;
        _movement = owner.Movement;
        _status = owner.Status;
    }

    public virtual void Enter() { }
    public virtual void Update() { }
    public virtual void Exit() { }
}
